"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function parseMapper(mapper, gqlTypeName = null) {
    if (isExternalMapper(mapper)) {
        const [source, type] = mapper.split('#');
        const asDefault = type === 'default';
        return {
            default: asDefault,
            isExternal: true,
            source,
            type: asDefault ? gqlTypeName : type,
        };
    }
    return {
        isExternal: false,
        type: mapper,
    };
}
exports.parseMapper = parseMapper;
function isExternalMapper(value) {
    return value.includes('#');
}
exports.isExternalMapper = isExternalMapper;
function transformMappers(rawMappers) {
    const result = {};
    Object.keys(rawMappers).forEach(gqlTypeName => {
        const mapperDef = rawMappers[gqlTypeName];
        const parsedMapper = parseMapper(mapperDef, gqlTypeName);
        result[gqlTypeName] = parsedMapper;
    });
    return result;
}
exports.transformMappers = transformMappers;
//# sourceMappingURL=mappers.js.map