export function parseMapper(mapper, gqlTypeName = null) {
    if (isExternalMapper(mapper)) {
        const [source, type] = mapper.split('#');
        const asDefault = type === 'default';
        return {
            default: asDefault,
            isExternal: true,
            source,
            type: asDefault ? gqlTypeName : type,
        };
    }
    return {
        isExternal: false,
        type: mapper,
    };
}
export function isExternalMapper(value) {
    return value.includes('#');
}
export function transformMappers(rawMappers) {
    const result = {};
    Object.keys(rawMappers).forEach(gqlTypeName => {
        const mapperDef = rawMappers[gqlTypeName];
        const parsedMapper = parseMapper(mapperDef, gqlTypeName);
        result[gqlTypeName] = parsedMapper;
    });
    return result;
}
//# sourceMappingURL=mappers.js.map